Package ru.bitel.bgbilling.modules.mps.server.bean

# Class MPSRequest

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.MPSRequest

public final class MPSRequest extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACTION_CANCEL`
  `static final int`
  `ACTION_CHECK`
  `static final int`
  `ACTION_PAYMENT`
  `static final int`
  `ACTION_STATUS`
  `final Map<String,Object>`
  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPSRequest(Connection con, int moduleId, String mpsId, jakarta.servlet.http.HttpServletRequest request, Conf.MPSSystem system)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAction()`
  `String`
  `getComment()`
  `Connection`
  `getConnection()`
  `int`
  `getModuleId()`
  `String`
  `getMpsId()`
  `String`
  `getNumber()`
  `String`
  `getRawNumber()`
  `jakarta.servlet.http.HttpServletRequest`
  `getRequest()`
  `String`
  `getSessionId()`
  `BigDecimal`
  `getSum()`
  `Conf.MPSSystem`
  `getSystem()`
  `Date`
  `getTime()`
  `String`
  `getTimeString()`
  `String`
  `getTransId()`
  `int`
  `getType()`
  Тип поиска
  `boolean`
  `isTestMode()`
  `void`
  `setAction(int action)`
  `void`
  `setComment(String comment)`
  `void`
  `setNumber(String number)`
  `void`
  `setRawNumber(String rawNumber)`
  `void`
  `setSessionId(String sessionId)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setTestMode(boolean testMode)`
  `void`
  `setTime(Date time)`
  `void`
  `setTimeString(String timeString)`
  `void`
  `setTransId(String transId)`
  `void`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ACTION_CHECK

    public static final int ACTION_CHECK
    See Also:
      - Constant Field Values

  - ### ACTION_PAYMENT

    public static final int ACTION_PAYMENT
    See Also:
      - Constant Field Values

  - ### ACTION_STATUS

    public static final int ACTION_STATUS
    See Also:
      - Constant Field Values

  - ### ACTION_CANCEL

    public static final int ACTION_CANCEL
    See Also:
      - Constant Field Values

  - ### parameters

    public final Map<String,Object> parameters

- ## Constructor Details

  - ### MPSRequest

    public MPSRequest(Connection con, int moduleId, String mpsId, jakarta.servlet.http.HttpServletRequest request, Conf.MPSSystem system)

- ## Method Details

  - ### getConnection

    public Connection getConnection()

  - ### getSystem

    public Conf.MPSSystem getSystem()

  - ### getAction

    public int getAction()

  - ### setAction

    public void setAction(int action)

  - ### getNumber

    public String getNumber()

  - ### setNumber

    public void setNumber(String number)

  - ### getRawNumber

    public String getRawNumber()

  - ### setRawNumber

    public void setRawNumber(String rawNumber)

  - ### getType

    public int getType()
    Тип поиска
    Returns:

  - ### setType

    public void setType(int type)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getTransId

    public String getTransId()

  - ### setTransId

    public void setTransId(String transId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getSessionId

    public String getSessionId()

  - ### setSessionId

    public void setSessionId(String sessionId)

  - ### getTime

    public Date getTime()

  - ### setTime

    public void setTime(Date time)

  - ### getTimeString

    public String getTimeString()

  - ### setTimeString

    public void setTimeString(String timeString)

  - ### isTestMode

    public boolean isTestMode()

  - ### setTestMode

    public void setTestMode(boolean testMode)

  - ### getRequest

    public jakarta.servlet.http.HttpServletRequest getRequest()

  - ### getMpsId

    public String getMpsId()

  - ### getModuleId

    public int getModuleId()